AbstractAction (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action, class: AbstractAction

Package org.apache.jmeter.gui.action

# Class AbstractAction

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `AboutCommand`, `AbstractActionWithNoRunningTest`, `AddParent`, `AddThinkTimeBetweenEachStep`, `AddToTree`, `ApplyNamingConvention`, `ChangeParent`, `CheckDirty`, `Clear`, `CollapseExpand`, `CollapseExpandTreeBranch`, `CompileJSR223TestElements`, `Copy`, `CreateFunctionDialog`, `Cut`, `Duplicate`, `EditCommand`, `EnableComponent`, `ExportTransactionAndSamplerNames`, `Help`, `HtmlReportAction`, `LoggerPanelEnableDisable`, `LogLevelCommand`, `LookAndFeelCommand`, `Move`, `OpenLinkAction`, `ParseCurlCommandAction`, `Paste`, `RemoteStart`, `Remove`, `ResetSearchCommand`, `Save`, `SaveBeforeRun`, `SaveGraphics`, `SchematicView`, `SearchTreeCommand`, `SSLManagerCommand`, `Start`, `StopStoppables`, `UndoCommand`, `What`, `ZoomInOut`

public abstract class AbstractAction extends Object implements Command

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  `protected static JFrame`
  `getParentFrame(ActionEvent event)`
  `protected boolean`
  `popupCheckExistingFileListener(HashTree tree)`
  `protected void`
  `popupShouldSave(ActionEvent e)`
  Check if we should save before run

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.gui.action.Command

  `getActionNames`

- ## Constructor Details

  - ### AbstractAction

    public AbstractAction()

- ## Method Details

  - ### doAction

    public void doAction(ActionEvent e) throws IllegalUserActionException
    Specified by:
      `doAction` in interface `Command`
    Throws:
      `IllegalUserActionException`
    See Also:
      - `Command.doAction(ActionEvent)`

  - ### popupShouldSave

    protected void popupShouldSave(ActionEvent e)
    Check if we should save before run
    Parameters:
      `e` - the event that led to the call of this method

  - ### popupCheckExistingFileListener

    protected boolean popupCheckExistingFileListener(HashTree tree)
    Parameters:
      `tree` - where check if listener has existing file
    Returns:
      true if continue test, false otherwise

  - ### getParentFrame

    protected static JFrame getParentFrame(ActionEvent event)
    Parameters:
      `event` - `ActionEvent`
    Returns:
      parent Window